
import java.awt.Font;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;


public class LookAndFeel2 {
	
	private static void createAndShowGUI() { 
		initLookAndFeel();
		//Make sure we have nice window decorations. 
		JFrame.setDefaultLookAndFeelDecorated(true); 
		//Create and set up the window. 
		JFrame frame = new JFrame("Look&Feel in Swing"); 
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
		
		
		//Add the label. 
		JLabel label = new JLabel("How do I look and feel?");
		label.setSize(10,20);
		Font f = new Font("Comic Sans MS", Font.ITALIC,55);
		label.setFont(f);
		frame.getContentPane().add(label); 
		
		
		
		//Display the window. 
		frame.pack(); 
		frame.setVisible(true); 
	} 
	
	private static void initLookAndFeel() {
		//Setting the lookAndFeel of this JFrame:
        String lookAndFeel = null;
        //Look and Feel can be chosen from Metal, System, Motif, 
        //GTK+ And more
        final String LOOKANDFEEL= "System";
        
        if (LOOKANDFEEL != null) {
            if (LOOKANDFEEL.equals("Metal")) {
                lookAndFeel = UIManager.getCrossPlatformLookAndFeelClassName();
            } else if (LOOKANDFEEL.equals("System")) {
                lookAndFeel = UIManager.getSystemLookAndFeelClassName();
            } else if (LOOKANDFEEL.equals("Motif")) {
                lookAndFeel = "com.sun.java.swing.plaf.motif.MotifLookAndFeel";
            } else if (LOOKANDFEEL.equals("GTK+")) { //new in 1.4.2
                lookAndFeel = "com.sun.java.swing.plaf.gtk.GTKLookAndFeel";
            } else {
                System.err.println("Unexpected value of LOOKANDFEEL specified: "
                                   + LOOKANDFEEL);
                lookAndFeel = UIManager.getCrossPlatformLookAndFeelClassName();
            }

            try {
                UIManager.setLookAndFeel(lookAndFeel);
            } catch (ClassNotFoundException e) {
                System.err.println("Couldn't find class for specified look and feel:"
                                   + lookAndFeel);
                System.err.println("Did you include the L&F library in the class path?");
                System.err.println("Using the default look and feel.");
            } catch (UnsupportedLookAndFeelException e) {
                System.err.println("Can't use the specified look and feel ("
                                   + lookAndFeel
                                   + ") on this platform.");
                System.err.println("Using the default look and feel.");
            } catch (Exception e) {
                System.err.println("Couldn't get specified look and feel ("
                                   + lookAndFeel
                                   + "), for some reason.");
                System.err.println("Using the default look and feel.");
                e.printStackTrace();
            }
        }
    }
	public static void main(String[] args) { 
		//Schedule a job for the event-dispatching thread: 
		//creating and showing this application's GUI. 
		javax.swing.SwingUtilities.invokeLater(new Runnable() { 
			public void run() { 
				createAndShowGUI(); 
				
			} }); 
	} 
}
